OpenModelica


Forgot password? | Forgot username? | Register

Ubuntu-installiation

Ubuntu-installiation

Hi there,
I have ubuntu 13.04. I tried  install openmodleica with given description at below web page.

https://openmodelica.org/download/download-linux

But i didn't success yet.

First:
What this line suppose to do?
for deb in deb deb-src; do echo "$deb http://build.openmodelica.org/apt `lsb_release -cs` stable"; done | sudo tee /etc/apt/sources.list.d/openmodelica.list

I checked fingerprint with: apt-key fingerprint, i got this which i expect.

pub   2048R/64970947 2010-06-22
      Key fingerprint = D229 AF1C E5AE D74E 5F59  DF30 3A59 B536 6497 0947
uid                  OpenModelica Build System <build@openmodelica.org>
sub   2048R/E4012527 2010-06-22

then;
When i tried

sudo apt-get update
sudo apt-get install openmodelica

i got this error:

user@user-Dell:~$ sudo apt-get install openmodelica
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
openmodelica : Depends: omc but it is not going to be installed
                Depends: ompython but it is not going to be installed
                Depends: omplot but it is not going to be installed
                Depends: omshell but it is not going to be installed
                Depends: omshell-terminal but it is not going to be installed
                Depends: omnotebook but it is not going to be installed
                Depends: drmodelica but it is not going to be installed
                Depends: drcontrol but it is not going to be installed
                Depends: omedit but it is not going to be installed
                Depends: omoptim but it is not going to be installed
E: Unable to correct problems, you have held broken packages.



What's wrong ? Can samobody help please?

Oki

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Ubuntu-installiation

Check that you do not have several omc repositories active at the same time:
$ apt-cache policy | grep openmodelica

Otherwise, try sudo apt-get install omc and see which packages it depends on that you do not have access to. Note that 13.04 (raring) reached end-of-life support January 27, 2014. OpenModelica does not build new packages for it, and the old ones might have been broken unintentionally due to removing some package that was thought to be unused.

Edited by: sjoelund.se - Apr-14-15 18:46:09
Administrator has disabled public posting. Please login or register in order to proceed.

Re: Ubuntu-installiation

Hi Martin,

You're right. I got several  om package.

sudo apt-cache policy | grep openmodelica
500 http://build.openmodelica.org/apt/ raring/release i386 Packages
     release o=openmodelica.org,a=raring,n=raring,l=OpenModelica Repository,c=release
     origin build.openmodelica.org
500 http://build.openmodelica.org/apt/ raring/release amd64 Packages
     release o=openmodelica.org,a=raring,n=raring,l=OpenModelica Repository,c=release
     origin build.openmodelica.org

How can remove others?
Oki

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Ubuntu-installiation

No, that is only one repository (looks for i386 and amd64 on 64-bit platforms).

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Ubuntu-installiation

So, for OMC version, i got this,

sudo apt-get install omc
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
omc : Depends: sun-java6-jre but it is not installable or
                openjdk-6-jre but it is not going to be installed
       Depends: build-essential but it is not installable
       Depends: gnuplot but it is not installable
       Depends: xsltproc but it is not installable
       Depends: libf2c2-dev but it is not installable
       Depends: libexpat1-dev but it is not installable
       Depends: libsundials-serial-dev but it is not installable
       Depends: liblapack-dev but it is not installable
       Depends: libhdf5-7 but it is not installable
       Depends: libhwloc5 but it is not installable
       Depends: liblapack3 but it is not installable or
                liblapack.so.3 but it is not installable or
                libatlas3-base but it is not installable
       Depends: libomniorb4-1 (>= 4.1.6) but it is not installable
       Depends: libomnithread3c2 (>= 4.0.6) but it is not installable
       Recommends: python-beautifulsoup but it is not installable
       Recommends: omplot but it is not going to be installed
       Recommends: libsaxonb-java but it is not installable
E: Unable to correct problems, you have held broken packages.

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Ubuntu-installiation

If sudo apt-get install build-essential does not work, you are missing some important ubuntu repository. Did the mirror you are using discontinue support for 13.04? Or did you not enable most repositories? Either way I suggest you download to a version of Ubuntu that still gets security updates.

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Ubuntu-installiation

Alright,
I will freshly install Ubuntu 14.04.2 LTS , then i'll try installation procedure again.

Thanks anyway,

Oki

Administrator has disabled public posting. Please login or register in order to proceed.

Re: Ubuntu-installiation

with ubuntu 14.04   I installed openmodelica w/o any error.
Thank you.

Oki

Administrator has disabled public posting. Please login or register in order to proceed.
There are 0 guests and 0 other users also viewing this topic